# User Object

## Description

Properties of a user.

## Properties

### emailAddress

Email address of the user.

Type: `string`

### lastAccessDate

Date, in ISO 8601 format, at which the user last signed-in.

Type: `string`

### managedPolicies

Managed policies attached to the user.

Type: Array of [UserManagedPolicy](/data-types/usermanagedpolicy.md) objects.

### mfaType

Type of MFA device used by the user.

Type: `string`

Valid Values:

* `none`
* `google-auth`
* `mobile-otp`

### status

Status of the user.

Type: `string`

Valid Values:

* `enabled`
* `disabled`
* `deleted`

### userId

ID of the user.

Type: `string`

### username

Username of the user.

Type: `string`

## Sample JSON

```javascript
{
    "emailAddress": "user@example.com",
    "lastAccessDate": "2016-06-09T11:00:00Z",
    "managedPolicies": [
        {
            "managedPolicyId": "full",
            "name": "Full Access"
        }
    ],
    "mfaType": "google-auth",
    "status": "enabled",
    "userId": "u-00000001",
    "username": "user1"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.skeddly.com/data-types/user-object.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
